Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 8d5f7c755720a52c1f103acf627c1f6109047802)
+++ chapter01/changelog.xml	(revision af4f4bfa8ccaa4e88bbe8bc13a17f7e3240a5cb6)
@@ -44,4 +44,50 @@
     -->
     <listitem>
+      <para>2021-05-28</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to iana-etc-20210526. Addresses
+          <ulink url="&lfs-ticket-root;4722">#4722</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to vim-8.2.2890. Addresses
+          <ulink url="&lfs-ticket-root;4500">#4500</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to zstd-1.5.0. Fixes
+          <ulink url="&lfs-ticket-root;4858">#4858</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to perl-5.34.0. Fixes
+          <ulink url="&lfs-ticket-root;4860">#4860</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to inux-5.12.7. Fixes
+          <ulink url="&lfs-ticket-root;4857">#4857</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libcap-2.50. Fixes
+          <ulink url="&lfs-ticket-root;4862">#4862</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to kmod-29. Fixes
+          <ulink url="&lfs-ticket-root;4859">#4859</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to expat-2.4.1. Fixes
+          <ulink url="&lfs-ticket-root;4861">#4861</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to elfutils-0.185. Fixes
+          <ulink url="&lfs-ticket-root;4855">#4855</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to bc-4.0.2. Fixes
+          <ulink url="&lfs-ticket-root;4855">#4855</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2021-05-26</para>
       <itemizedlist>
@@ -76,5 +122,5 @@
         <listitem>
           <para>[bdubbs] - Removed instructions for running tests
-          in Python due to an idefinite hang in the partial
+          in Python due to an indefinite hang in the partial
           LFS envrionment.</para>
         </listitem>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 8d5f7c755720a52c1f103acf627c1f6109047802)
+++ chapter01/whatsnew.xml	(revision af4f4bfa8ccaa4e88bbe8bc13a17f7e3240a5cb6)
@@ -142,7 +142,7 @@
       <para>Kbd-&kbd-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Kmod-&kmod-version;</para>
-    </listitem>-->
+    </listitem>
     <listitem>
       <para>Less-&less-version;</para>
@@ -154,7 +154,7 @@
       <para>Libcap-&libcap-version;</para>
     </listitem>
-    <!--<listitem>
+    <listitem>
       <para>Libelf-&elfutils-version; (from elfutils)</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Libffi-&libffi-version;</para>
@@ -202,7 +202,7 @@
       <para>Patch-&patch-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Perl-&perl-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Pkg-config-&pkgconfig-version;</para>
Index: chapter08/zstd.xml
===================================================================
--- chapter08/zstd.xml	(revision 8d5f7c755720a52c1f103acf627c1f6109047802)
+++ chapter08/zstd.xml	(revision af4f4bfa8ccaa4e88bbe8bc13a17f7e3240a5cb6)
@@ -46,4 +46,10 @@
 
 <screen><userinput remap="make">make</userinput></screen>
+
+    <note>
+       <para>In the test output there are several places that
+       indicate 'failed'. These are expected and only 'FAIL' is an actual
+       test failure. There should be no test failures.</para>
+    </note>
 
     <para>To test the results, issue:</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision 8d5f7c755720a52c1f103acf627c1f6109047802)
+++ packages.ent	(revision af4f4bfa8ccaa4e88bbe8bc13a17f7e3240a5cb6)
@@ -58,8 +58,8 @@
 <!ENTITY bash-fin-sbu "1.6 SBU">
 
-<!ENTITY bc-version "4.0.1">
+<!ENTITY bc-version "4.0.2">
 <!ENTITY bc-size "230 KB">
 <!ENTITY bc-url "https://github.com/gavinhoward/bc/releases/download/&bc-version;/bc-&bc-version;.tar.xz">
-<!ENTITY bc-md5 "2e0906471bbde64d165a2f01aacd6e8a">
+<!ENTITY bc-md5 "230d780f978f1bc3f725bfbaf63c2b43">
 <!ENTITY bc-home "https://git.yzena.com/gavin/bc">
 <!ENTITY bc-fin-du "6.7 MB">
@@ -148,8 +148,8 @@
 <!ENTITY e2fsprogs-fin-sbu "4.4 SBU on a spinning disk, 1.5 SBU on an SSD">
 
-<!ENTITY elfutils-version "0.183">
-<!ENTITY elfutils-size "8,896 KB">
+<!ENTITY elfutils-version "0.185">
+<!ENTITY elfutils-size "8,973 KB">
 <!ENTITY elfutils-url "https://sourceware.org/ftp/elfutils/&elfutils-version;/elfutils-&elfutils-version;.tar.bz2">
-<!ENTITY elfutils-md5 "6f58aa1b9af1a5681b1cbf63e0da2d67">
+<!ENTITY elfutils-md5 "2b6e94c2eebc1f2194173e31bca9396e">
 <!ENTITY elfutils-home "https://sourceware.org/elfutils/">
 <!ENTITY elfutils-fin-du "121 MB">
@@ -163,8 +163,8 @@
 <!ENTITY eudev-fin-sbu "0.2 SBU">
 
-<!ENTITY expat-version "2.3.0">
-<!ENTITY expat-size "424 KB">
+<!ENTITY expat-version "2.4.1">
+<!ENTITY expat-size "435 KB">
 <!ENTITY expat-url "&sourceforge;expat/expat-&expat-version;.tar.xz">
-<!ENTITY expat-md5 "1c1b523a8d917e6d9f7af4f8881d8ec5">
+<!ENTITY expat-md5 "a4fb91a9441bcaec576d4c4a56fa3aa6">
 <!ENTITY expat-home "https://libexpat.github.io/">
 <!ENTITY expat-fin-du "14 MB">
@@ -321,8 +321,8 @@
 <!ENTITY gzip-fin-sbu "0.1 SBU">
 
-<!ENTITY iana-etc-version "20210407">
+<!ENTITY iana-etc-version "20210526">
 <!ENTITY iana-etc-size "579 KB">
 <!ENTITY iana-etc-url "https://github.com/Mic92/iana-etc/releases/download/&iana-etc-version;/iana-etc-&iana-etc-version;.tar.gz">
-<!ENTITY iana-etc-md5 "71c8c5c3f761e27a00c917bc14e765fd">
+<!ENTITY iana-etc-md5 "8442d67cc5f5b3616d128e25779a93c7">
 <!ENTITY iana-etc-home "https://www.iana.org/protocols">
 <!ENTITY iana-etc-fin-du "4.7 MB">
@@ -361,8 +361,8 @@
 <!ENTITY kbd-fin-sbu "0.1 SBU">
 
-<!ENTITY kmod-version "28">
-<!ENTITY kmod-size "540 KB">
+<!ENTITY kmod-version "29">
+<!ENTITY kmod-size "548 KB">
 <!ENTITY kmod-url "&kernel;linux/utils/kernel/kmod/kmod-&kmod-version;.tar.xz">
-<!ENTITY kmod-md5 "0a2b887b1b3dfb8c0b3f41f598203e56">
+<!ENTITY kmod-md5 "e81e63acd80697d001c8d85c1acb38a0">
 <!ENTITY kmod-home " ">
 <!ENTITY kmod-fin-du "13 MB">
@@ -385,8 +385,8 @@
 <!ENTITY lfs-bootscripts-cfg-sbu "less than 0.1 SBU">
 
-<!ENTITY libcap-version "2.49">
-<!ENTITY libcap-size "137 KB">
+<!ENTITY libcap-version "2.50">
+<!ENTITY libcap-size "141 KB">
 <!ENTITY libcap-url "&kernel;linux/libs/security/linux-privs/libcap2/libcap-&libcap-version;.tar.xz">
-<!ENTITY libcap-md5 "b43ae3690fe4d2cb32e4d25c0983ecd3">
+<!ENTITY libcap-md5 "66a561afa81666236ff973544ff4e864">
 <!ENTITY libcap-home "https://sites.google.com/site/fullycapable/">
 <!ENTITY libcap-fin-du "45 MB">
@@ -419,10 +419,10 @@
 <!ENTITY linux-major-version "5">
 <!ENTITY linux-minor-version "12">
-<!ENTITY linux-patch-version "2">
+<!ENTITY linux-patch-version "7">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "115,344 KB">
+<!ENTITY linux-size "115,385 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "1119082b017840a4d57e1a51c4bfc07b">
+<!ENTITY linux-md5 "5cb691ff8fa07e64e55f8bcd651d3a06">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 5.8.3 / gcc-10.2.0 on x86_64 : minimum is
@@ -535,11 +535,11 @@
 
 <!ENTITY perl-version-major "5">
-<!ENTITY perl-version-minor "32">
-<!ENTITY perl-version-patch "1">
+<!ENTITY perl-version-minor "34">
+<!ENTITY perl-version-patch "0">
 <!ENTITY perl-version-min "&perl-version-major;.&perl-version-minor;">
 <!ENTITY perl-version "&perl-version-major;.&perl-version-minor;.&perl-version-patch;">
-<!ENTITY perl-size "12,316 KB">
+<!ENTITY perl-size "12,580 KB">
 <!ENTITY perl-url "https://www.cpan.org/src/5.0/perl-&perl-version;.tar.xz">
-<!ENTITY perl-md5 "7f104064b906ad8c7329ca5e409a32d7">
+<!ENTITY perl-md5 "df7ecb0653440b26dc951ad9dbfab517">
 <!ENTITY perl-home "https://www.perl.org/">
 <!ENTITY perl-tmp-du "268 MB">
@@ -703,11 +703,11 @@
 <!ENTITY util-linux-fin-sbu "1.1 SBU">
 
-<!ENTITY vim-version "8.2.2813">
+<!ENTITY vim-version "8.2.2890">
 <!ENTITY vim-majmin "82">
 <!ENTITY vim-docdir "vim/vim82">
-<!ENTITY vim-size "15,136 KB">
+<!ENTITY vim-size "15,153 KB">
 <!--<!ENTITY vim-url "https://github.com/vim/vim/archive/v&vim-version;/vim-&vim-version;.tar.gz">-->
 <!ENTITY vim-url "&anduin-sources;/vim-&vim-version;.tar.gz">
-<!ENTITY vim-md5 "9b67782bfedb874a39eed51be65e3310">
+<!ENTITY vim-md5 "ec8a8ec5f67b0ad0edba82cad2354d33">
 <!ENTITY vim-home "https://www.vim.org">
 <!ENTITY vim-fin-du "208 MB">
@@ -740,8 +740,8 @@
 <!ENTITY zlib-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY zstd-version "1.4.9">
-<!ENTITY zstd-size "1,779 KB">
+<!ENTITY zstd-version "1.5.0">
+<!ENTITY zstd-size "1,808 KB">
 <!ENTITY zstd-url "https://github.com/facebook/zstd/releases/download/v&zstd-version;/zstd-&zstd-version;.tar.gz">
-<!ENTITY zstd-md5 "eb718b8aae0302cabe20f968e500534d">
+<!ENTITY zstd-md5 "a6eb7fb1f2c21fa80030a47993853e92">
 <!ENTITY zstd-home "https://facebook.github.io/zstd/">
 <!ENTITY zstd-fin-du "59 MB">
